package com.xunwang.education.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author Guan
 * @since 2023-01-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="InviteInfo对象", description="")
public class InviteInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增")
    private String id;

    @ApiModelProperty(value = "无序唯一id")
    private String fromUid;

    @ApiModelProperty(value = "无序唯一id")
    private String toUid;

    @ApiModelProperty(value = "无序唯一id")
    private String requireId;

    @ApiModelProperty(value = "无序唯一id")
    private String courseId;

    @ApiModelProperty(value = "邀请人")
    private String fromUname;

    @ApiModelProperty(value = "被邀请人")
    private String toUname;

    @ApiModelProperty(value = "邀请内容")
    private String requireDetail;

    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss",timezone = "GMT+8")
    @ApiModelProperty(value = "邀请日期时间")
    private Date datetime;

    @ApiModelProperty(value = "推荐人uid")
    private String recommendUid;

    @ApiModelProperty(value = "需求金额")
    private BigDecimal requireSalary;

    @ApiModelProperty(value = "邀请人身份，'教员' '学员'")
    private String identity;

    @ApiModelProperty(value = "被邀请人阅读状态，'未读' '已读'")
    private String readStatus;

    @ApiModelProperty(value = "被邀请人操作状态，'未读' '待定' '同意' '拒绝'")
    private String operateStatus;

    @ApiModelProperty(value = "头像地址")
    @TableField(exist = false)
    private String imgUrl;

    @ApiModelProperty(value = "性别")
    @TableField(exist = false)
    private String sex;
}
