package com.xunwang.education.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 需求表
 * </p>
 *
 * @author Long
 * @since 2022-11-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="StudentRequirements对象", description="需求表")
@TableName("stu_needs")
public class StuNeeds implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "无序唯一id")
    private String requireId;

    @ApiModelProperty(value = "无序唯一id")
    private String uid;

    @ApiModelProperty(value = "学生姓名")
    private String name;

    @ApiModelProperty(value = "学生手机号")
    private String phone;

    @ApiModelProperty(value = "学生微信号，可以查到的")
    private String wxid;

    @ApiModelProperty(value = "学科大类")
    private String subjectBig;

    @ApiModelProperty(value = "具体课程")
    private String subjectSmall;

    @ApiModelProperty(value = "学生经纬度")
    private String locationAl;

    @ApiModelProperty(value = "学生详细位置")
    private String locationStr;

    @ApiModelProperty(value = "需求金额（分）")
    private BigDecimal salary;

    @ApiModelProperty(value = "课程周一到周日的勾选")
    private String courseWeekday;

    @ApiModelProperty(value = "上课时段早中晚3个时段勾选")
    private String courseTimetype;

    @ApiModelProperty(value = "期望达到的目标和效果")
    private String goal;

    @ApiModelProperty(value = "审核不过原因")
    private String verifyRefuseReason;

    @ApiModelProperty(value = "对老师的额外需求")
    private String teacherDemanded;

    @ApiModelProperty(value = "学生教员，专职教员")
    private String teacherType;

    @ApiModelProperty(value = "老师学历")
    private String teacherEdu;

    @ApiModelProperty(value = "老师性别")
    private String teacherGender;

    @ApiModelProperty(value = "是否要求上传头像")
    private String teacherProfilePhoto;

    @ApiModelProperty(value = "自动，不填")
    private String datetime;

    @ApiModelProperty(value = "'男' '女'")
    private String sex;

    private String profilePhoto;

    private Integer viewedCount;

    @ApiModelProperty(value = "老师上门,学员上门,线上辅导")
    private String mode;

    @ApiModelProperty(value = "'审核中' '已通过' '未通过'")
    private String verifyStatus;

    @ApiModelProperty(value = "'上架' '下架'")
    private String display;

    @ApiModelProperty(value = "'未锁' '已锁'")
    private String locked;

    @ApiModelProperty(value = "'已成交' '未成交'")
    private String deal;

    @ApiModelProperty(value = "0:'未删' ， 1:'已删'，这个字段保留，先不使用")
    private String deleted;

    private String version;

}
