package com.xunwang.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 老师认证
 * </p>
 *
 * @author Long
 * @since 2022-11-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TeacherCertifications对象", description="老师认证")
public class TeacherCertifications implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "无序唯一id")
    private String uid;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "微信号，可以查到的")
    private String weixinId;

    @ApiModelProperty(value = "英文名")
    private String englishName;

    @ApiModelProperty(value = "身份证上的姓")
    private String name;

    @ApiModelProperty(value = "身份证号")
    private String idCard;

    @ApiModelProperty(value = "性别，1=male ,0=female")
    private String sex;

    private String identify;

    @ApiModelProperty(value = "身份证照片正面存放路径")
    private String idCardFront;

    @ApiModelProperty(value = "身份证照片背面存放路径")
    private String idCardBack;

    @ApiModelProperty(value = "毕业证/学生证照片存放路径")
    private String diplomaPhoto;

    @ApiModelProperty(value = "头像照片存放路径")
    private String profilePhoto;

    @ApiModelProperty(value = "高校全名")
    private String school;

    @ApiModelProperty(value = "专业")
    private String major;

    @ApiModelProperty(value = "学历")
    private String education;

    @ApiModelProperty(value = "籍贯")
    private String nativePlace;

    @ApiModelProperty(value = "审核状态，0=wait ,1=pass ,2=refuse")
    private String verifyStatus;

    @ApiModelProperty(value = "审核不过原因")
    private String verifyRefuseReason;

    private String deleted;

    private String datetime;

}
