package com.xunwang.education.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 需求表
 * </p>
 *
 * @author Long
 * @since 2022-11-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MyPublishStuNeedsDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "无序唯一id")
    private String requireId;

    @ApiModelProperty(value = "学科大类")
    private String subjectBig;

    @ApiModelProperty(value = "具体课程")
    private String subjectSmall;

    @ApiModelProperty(value = "需求金额（分）")
    private BigDecimal salary;

    @ApiModelProperty(value = "'审核中' '已通过' '未通过'")
    private String verifyStatus;

    @ApiModelProperty(value = "'上架' '下架'")
    private String display;

    @ApiModelProperty(value = "'未锁' '已锁'")
    private String locked;

    @ApiModelProperty(value = "'已成交' '未成交'")
    private String deal;
}
