package com.xunwang.education.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 需求表
 * </p>
 *
 * @author Long
 * @since 2022-11-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="StudentRequirements对象", description="需求表")
public class MyStuNeedsDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "无序唯一id")
    private String requireId;

    @ApiModelProperty(value = "学生姓名")
    private String name;

    @ApiModelProperty(value = "学科大类")
    private String subjectBig;

    @ApiModelProperty(value = "具体课程")
    private String subjectSmall;

    @ApiModelProperty(value = "学生经纬度")
    private String locationAl;

    @ApiModelProperty(value = "需求金额（分）")
    private BigDecimal salary;

    @ApiModelProperty(value = "期望达到的目标和效果")
    private String goal;

    @ApiModelProperty(value = "'男' '女'")
    private String sex;

    private String profilePhoto;
}
