package com.xunwang.education.entity.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class InviteCourseVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "无序唯一id")
    @TableId(value = "course_id")
    private String courseId;

    @ApiModelProperty(value = "无序唯一id")
    private String uid;

    @ApiModelProperty(value = "专职教员, 学生教员")
    private String teacherType;

    @ApiModelProperty(value = "自我描述")
    private String introduce;

    @ApiModelProperty(value = "教龄")
    private String teachAge;

    @ApiModelProperty(value = "授课时间")
    private String teachTime;

    @ApiModelProperty(value = "辅导学科，最多选4科")
    private String subject;

    @ApiModelProperty(value = "位置")
    private String location;

    @ApiModelProperty(value = "纬经度")
    private String locationAl;

    @ApiModelProperty(value = "老师上门，学员上门，线上辅导")
    private String mode;

    @ApiModelProperty(value = "成功经验")
    private String experience;

    @ApiModelProperty(value = "浏览量")
    private Integer viewedCount;

    @ApiModelProperty(value = "不填，自动")
    private String datetime;

    @ApiModelProperty(value = "审核状态，0=wait ,1=pass ,2=refuse")
    private String verifyStatus;

    @ApiModelProperty(value = "审核不过原因")
    private String verifyRefuseReason;

    @ApiModelProperty(value = "是否显示")
    private String display;

    @ApiModelProperty(value = "是否锁定")
    private String locked;

    @ApiModelProperty(value = "已成交,未成交")
    private String deal;

    @ApiModelProperty(value = "0：未删， 1：已删")
    @TableLogic
    private String deleted;

    private String toUid;

    private String requireId;

    private String salary;

    private String fromUname;

    private String toUname;
}
