package com.xunwang.education.mapper;

import com.xunwang.education.entity.StuNeeds;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xunwang.education.entity.dto.MyPublishStuNeedsDto;
import com.xunwang.education.entity.dto.MyStuNeedsDto;
import com.xunwang.education.entity.vo.StuNeedsVo;
import com.xunwang.education.entity.vo.ViewCountVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 需求表 Mapper 接口
 * </p>
 *
 * @author Long
 * @since 2022-11-16
 */
public interface StudentRequirementsMapper extends BaseMapper<StuNeeds> {

    List<MyStuNeedsDto> selectBatch(@Param("list") List<String> list);

    /**
     * 个人发布的需求
     * @param uid
     * @return
     */
    List<MyPublishStuNeedsDto> getPersonCourse(String uid);

    /**
     * 查询所有需求
     * @param stuNeedsVo
     */
    List<MyStuNeedsDto> selectAllStuNeed(@Param("item") StuNeedsVo stuNeedsVo);

    void batchupdate(@Param("list") List<ViewCountVo> list);

}
