package com.xunwang.education.service;

import com.xunwang.education.entity.MyFavoriteNeeds;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xunwang.education.entity.dto.MyPublishStuNeedsDto;
import com.xunwang.education.entity.dto.MyStuNeedsDto;

import javax.servlet.http.HttpServletRequest;
import java.util.List;


/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Long
 * @since 2022-12-30
 */
public interface MyFavoriteNeedsService extends IService<MyFavoriteNeeds> {

    /**
     * 收藏学员需求
     * @param request
     */
    int collect(HttpServletRequest request);

    /**
     * 取消收藏学员需求
     * @param request
     */
    boolean cancelCollect(HttpServletRequest request);

    /**
     * 查询个人收藏的学员信息
     * @param request
     */
    List<String> findPersonCollect(HttpServletRequest request);

    /**
     * 查询个人收藏的学员需求全部信息
     * @param request
     */
    List<MyStuNeedsDto> findPersonCollectInfo(HttpServletRequest request);

}
