package com.xunwang.education.service;

import com.xunwang.education.entity.TeacherCertifications;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xunwang.education.entity.dto.Schools;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;
import java.util.List;

/**
 * <p>
 * 老师认证 服务类
 * </p>
 *
 * @author Long
 * @since 2022-11-24
 */
public interface TeacherCertificationsService extends IService<TeacherCertifications> {

    /**
     * 判断老师类型：在校大学生，专职老师
     * @param uid
     * @return
     */
    String getTeacherType(String uid);

    /**
     * 根据用户id查询姓名，学历，头像
     * @param request
     */
    Map getInfos(HttpServletRequest request);

    List<TeacherCertifications> getTeacherDetail(String[] array);

    /**
     * 获取所有老师注册过的所有学校
     * @return
     */
    List<Schools> getAllSchools();
}
