package com.xunwang.payment.entity;

import com.baomidou.mybatisplus.annotation.IdType;

import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 退款表
 * </p>
 *
 * @author Long
 * @since 2023-02-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="Refund对象", description="退款表")
public class Refund implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "退款单id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "商户订单编号")
    private String orderNo;

    @ApiModelProperty(value = "商户退款单编号")
    private String refundNo;

    @ApiModelProperty(value = "支付系统退款单号")
    private String refundId;

    @ApiModelProperty(value = "原订单金额(分)")
    private BigDecimal totalFee;

    @ApiModelProperty(value = "退款金额(分)")
    private BigDecimal refund;

    @ApiModelProperty(value = "退款原因")
    private String reason;

    @ApiModelProperty(value = "退款状态")
    private String refundStatus;

    @ApiModelProperty(value = "申请退款返回参数")
    private String contentReturn;

    @ApiModelProperty(value = "退款结果通知参数")
    private String contentNotify;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModelProperty(value = "更新时间")
    private String updateTime;


}
