package com.xunwang.payment.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ShareOrderResult implements Serializable{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "含日期时间唯一id")
    private String orderId;

    @ApiModelProperty(value = "无序唯一id")
    private String requireId;

    @ApiModelProperty(value = "无序唯一id")
    private String courseId;

    @ApiModelProperty(value = "商品描述")
    private String requireDetail;

    @ApiModelProperty(value = "下单日期时间")
    private String datetime;

    @ApiModelProperty(value = "学生提供的课酬（单位：分）")
    private BigDecimal requireSalary;

    private String studentId;

    private String teacherName;

    private String teacherId;

    private String studentName;

    @ApiModelProperty(value = "订单状态：'待支付' '已支付' ' 已取消' ' 已退款' ' 退款中'")
    private String status;

    private Integer isRefund;

    private String inviteId;

    @ApiModelProperty(value = "推荐人佣金，平台佣金X70%")
    private BigDecimal recoCommission;

    @ApiModelProperty(value = "推荐人提现状态，'已申请' ，'已提现' ，'未申请' ")
    private String recoStatus;
}

