package com.xunwang.ucenter.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author Long
 * @since 2022-11-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="MiniProgramOpenidUid对象", description="小程序用户表")
public class MpOpenidUid implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "数据库自增")
    private Integer id;

    @ApiModelProperty(value = "小程序openid")
    private String openid;

    @ApiModelProperty(value = "开放平台唯一id")
    private String unionid;

    @ApiModelProperty(value = "无序唯一id,游客模式，不记录任何信息")
    @TableId(value = "uid")
    private String uid;

    @ApiModelProperty(value = "第1次登录日期时间")
    @TableField(fill = FieldFill.INSERT)
    private String firstLoginDatetime;

    @ApiModelProperty(value = "推荐人uid")
    private String recommendUid;

    @ApiModelProperty(value = "微信昵称")
    private String alias;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "微信取到的手机号")
    private String phone;

    @ApiModelProperty(value = "上次登录地")
    private String city;

    @ApiModelProperty(value = "最后1次登录日期时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String lastLoginDatetime;

    private int isAdmin;

}
